EDIT - bug #7794

Update TaxonNodeWizard
09/27/2018 12:17 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

The taxonnode wizard needs to be updated, the taxon, parent and classification should not be editable and the "open in editor
checkbox should be a third button with "Finish and Open in Editor"

Related issues:
Copied to EDIT - bug #8088: Open taxon node wizard issues Feedback

Associated revisions

Revision d607cf23 - 01/23/2019 03:19 PM - Katja Luther

fix #7794: add finish and open button to taxonnode wizard

Revision 4118c04e - 01/29/2019 12:33 PM - Katja Luther
ref #7794: adapt label

Revision 3c401181 - 01/29/2019 12:50 PM - Katja Luther

ref #7794: externalize strings

Revision €91fb609 - 01/30/2019 09:34 AM - Katja Luther

ref #7794 fix classification selection combo in taxonnode wizard

History

#1 - 10/23/2018 10:42 AM - Andreas Mdiller

- Target version changed from Release 5.4 to Release 5.5

#2 - 01/23/2019 03:19 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|d607cf237604adb78fc2f111bbf0e0b8a26a1bab.

#3 - 01/23/2019 03:25 PM - Andreas Miller

should | review

#4 - 01/23/2019 03:29 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

sorry, yes, please review.

#5 - 01/25/2019 03:56 PM - Andreas Miiller
- File picture585-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Generally it works as expected. Some minor issues:
The "New Taxon" mode should have both labels as "New Taxon". Currently the label in the white area is "Edit taxon node"

The classification chooser is not shown anymore in taxon new mode. Maybe this is on purpose, but sometimes when resizing it appears at a strange
position.

ED New Taxon — = -

Select Classification

Edit taxon node

|Default Classification Specimen lmport2 repai v|

Parent Media test sec. EI
7

Reuse existing name =
Secundum Reference l:l@l

Mew Taxon Media test |
Parent Child Relation Socurce IEI
Detail |

Taxon is public
Taxon is unplaced
Taxon is excluded
Excluded Motes

Lo

Finish and Open Finish Cancel

Do we need a classification chooser, e.g. for adding a direct child of the classification?
Also in Edit mode it appears. | think there we do not need (to show it), also the sec ref we do not need to show then as it is usually part of the taxon

title.

We should think about moving Taxon is public to the taxon part, maybe directly below "New Taxon" or below "Secundum Reference". We could also
think about moving parent information down so we have a Taxon part and a taxon node part. The 2 parts could be separated by some additional
space or with a label or with boxes around each part.

Furthermore the Parent Child Relation Source could be moved directly below "parent” as it belongs there, same as Detail. With some identation we
could then reduce the label to "Relation Source" and "Relation Detail" which makes it more clear what is meant and where it belongs to.
Those issues which are not straight forward to implement could be handled in a separate ticket.
#6 - 01/29/2019 12:22 PM - Katja Luther
Andreas Miller wrote:
Generally it works as expected. Some minor issues:

The "New Taxon" mode should have both labels as "New Taxon". Currently the label in the white area is "Edit taxon node"

The classification chooser is not shown anymore in taxon new mode. Maybe this is on purpose, but sometimes when resizing it appears at a
strange position.
ED New Taxon == -

Edit taxon node Select Classification

|Default Classification Specimen Import2 repail V|

Parent Media test sec. IEI
7

Reuse existing name =
Secundum Reference I:IIE'

Mew Taxon Media test |
Parent Child Relation Source IEI
Detail |

Taxon is public
Taxon is unplaced
Taxon is excluded
Excluded Notes

(|

Finish and Open Finish Cancel

how did you get this? | can not reproduce it.
#7 - 01/29/2019 12:25 PM - Katja Luther
Andreas Miller wrote:
Do we need a classification chooser, e.g. for adding a direct child of the classification?

Also in Edit mode it appears. | think there we do not need (to show it), also the sec ref we do not need to show then as it is usually part of the
taxon title.

We disabled parent taxon and removed classification because we decided that moving a taxon should be done by the navigator menu.

#8 - 01/29/2019 05:09 PM - Andreas Miiller
Katja Luther wrote:
Andreas Miiller wrote:
Do we need a classification chooser, e.g. for adding a direct child of the classification?

Also in Edit mode it appears. | think there we do not need (to show it), also the sec ref we do not need to show then as it is usually part of
the taxon title.

We disabled parent taxon and removed classification because we decided that moving a taxon should be done by the navigator menu.

| know, but this was only for EDIT mode, | was talking about NEW mode (where parent is not disabled). Here the requirement of a classification
selection needs to be discussed. For all taxon nodes not beeing top level taxa it is ok to have only the parent (which includes classification), but for
top level taxa (which do only have classification as parent) this does not work.

#9 - 01/29/2019 05:11 PM - Andreas Miiller
Katja Luther wrote:
how did you get this? | can not reproduce it.

It seems to be reproducable if you do "New - Taxon", in the dialog you open the parent selection and close it by cancel. Finally you resize the "New
Taxon" dialog.

#10 - 01/30/2019 09:34 AM - Katja Luther

Andreas Muller wrote:

Katja Luther wrote:
Andreas Muller wrote:
Do we need a classification chooser, e.g. for adding a direct child of the classification?

Also in Edit mode it appears. | think there we do not need (to show it), also the sec ref we do not need to show then as it is usually part
of the taxon title.

We disabled parent taxon and removed classification because we decided that moving a taxon should be done by the navigator menu.

| know, but this was only for EDIT mode, | was talking about NEW mode (where parent is not disabled). Here the requirement of a classification
selection needs to be discussed. For all taxon nodes not beeing top level taxa it is ok to have only the parent (which includes classification), but
for top level taxa (which do only have classification as parent) this does not work.

Maybe we should think about the possibility to choose the classification as parent in the parent selection dialog.
#11 - 01/30/2019 09:35 AM - Katja Luther
Andreas Muller wrote:
Katja Luther wrote:
how did you get this? | can not reproduce it.

It seems to be reproducable if you do "New - Taxon", in the dialog you open the parent selection and close it by cancel. Finally you resize the
"New Taxon" dialog.

this is fixed
#12 - 01/30/2019 10:01 AM - Andreas Miiller
Katja Luther wrote:
Andreas Miiller wrote:
Katja Luther wrote:
Andreas Miller wrote:
Do we need a classification chooser, e.g. for adding a direct child of the classification?

Also in Edit mode it appears. | think there we do not need (to show it), also the sec ref we do not need to show then as it is
usually part of the taxon title.

We disabled parent taxon and removed classification because we decided that moving a taxon should be done by the navigator menu.

| know, but this was only for EDIT mode, | was talking about NEW mode (where parent is not disabled). Here the requirement of a
classification selection needs to be discussed. For all taxon nodes not beeing top level taxa it is ok to have only the parent (which includes
classification), but for top level taxa (which do only have classification as parent) this does not work.

Maybe we should think about the possibility to choose the classification as parent in the parent selection dialog.

If this is easy to implement, it is a solution.

#13 - 01/30/2019 12:48 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller
Andreas Muller wrote:
Katja Luther wrote:
Andreas Miiller wrote:
Do we need a classification chooser, e.g. for adding a direct child of the classification?

Also in Edit mode it appears. | think there we do not need (to show it), also the sec ref we do not need to show then as it is usually part
of the taxon title.
We disabled parent taxon and removed classification because we decided that moving a taxon should be done by the navigator menu.

| know, but this was only for EDIT mode, | was talking about NEW mode (where parent is not disabled). Here the requirement of a classification
selection needs to be discussed. For all taxon nodes not beeing top level taxa it is ok to have only the parent (which includes classification), but

for top level taxa (which do only have classification as parent) this does not work.

can we move this to a new ticket?

#14 - 02/08/2019 06:36 PM - Andreas Miiller
- Status changed from Feedback to Closed
- Assignee changed from Andreas Miller to Katja Luther

- % Done changed from 50 to 100

I moved all open issues to new ticket #8088

#15 - 02/08/2019 06:36 PM - Andreas Miiller
- Copied to bug #8088: Open taxon node wizard issues added

Files
picture585-1.png 17.2 KB 01/25/2019 Andreas Miller
